# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85.0"
name = "cdk-postgres"
version = "0.17.0-rc.3"
authors = ["CDK Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PostgreSQL storage backend for CDK"
homepage = "https://github.com/cashubtc/cdk"
readme = false
license = "MIT"
repository = "https://github.com/cashubtc/cdk.git"

[features]
default = [
    "mint",
    "wallet",
]
mint = [
    "cdk-common/mint",
    "cdk-sql-common/mint",
]
wallet = [
    "cdk-common/wallet",
    "cdk-sql-common/wallet",
]

[lib]
name = "cdk_postgres"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.bitcoin]
version = "0.32.2"
features = [
    "base64",
    "serde",
    "rand",
    "rand-std",
]

[dependencies.cdk-common]
version = "=0.17.0-rc.3"
features = ["test"]
default-features = false

[dependencies.cdk-sql-common]
version = "=0.17.0-rc.3"
default-features = true

[dependencies.futures-util]
version = "0.3.31"

[dependencies.lightning-invoice]
version = "0.34.0"
features = [
    "serde",
    "std",
]

[dependencies.native-tls]
version = "=0.2.14"

[dependencies.once_cell]
version = "1.20.2"

[dependencies.paste]
version = "1.0.15"

[dependencies.postgres-native-tls]
version = "0.5.1"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
    "sync",
    "time",
    "rt-multi-thread",
]
default-features = false

[dependencies.tokio-postgres]
version = "0.7.13"

[dependencies.tracing]
version = "0.1"
features = [
    "attributes",
    "log",
]
default-features = false

[dependencies.uuid]
version = "1.17"
features = [
    "v4",
    "serde",
]

[lints.clippy]
large_enum_variant = "warn"
missing_panics_doc = "warn"
missing_safety_doc = "warn"
unwrap_used = "deny"
use_debug = "warn"

[lints.rust]
missing_debug_implementations = "warn"
missing_docs = "warn"
unsafe_code = "forbid"

[lints.rustdoc]
bare_urls = "warn"
